0

I just installed my NVIDIA graphics card driver using this manual, but after installation my X does not load. I login using terminal and remove the xorg.config and access the safe mode. Is there any problem or is it a bug?

I tried Problems with NVIDIA & X11 & Debian answer but it didn't work.

I used sudo Xorg -configure and I got the following log:

[     4.886] 
X.Org X Server 1.12.4
Release Date: 2012-08-27
[     4.886] X Protocol Version 11, Revision 0
[     4.886] Build Operating System: Linux 3.11-2-amd64 x86_64 Debian
[     4.886] Current Operating System: Linux pdebian 3.2.0-4-amd64 #1 SMP Debian 3.2.63-2+deb7u1 x86_64
[     4.886] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-4-amd64 root=UUID=54830b4d-ac55-4f3c-8e01-0d8e8825b997 ro quiet
[     4.886] Build Date: 17 December 2013  07:37:58PM
[     4.886] xorg-server 2:1.12.4-6+deb7u2 (Julien Cristau <jcristau@debian.org>) 
[     4.886] Current version of pixman: 0.32.6
[     4.886]    Before reporting problems, check http://wiki.x.org
    to make sure that you have the latest version.
[     4.886] Markers: (--) probed, (**) from config file, (==) default setting,
    (++) from command line, (!!) notice, (II) informational,
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[     4.887] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Nov  8 23:23:19 2014
[     4.889] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[     4.897] (==) No Layout section.  Using the first Screen section.
[     4.897] (==) No screen section available. Using defaults.
[     4.897] (**) |-->Screen "Default Screen Section" (0)
[     4.897] (**) |   |-->Monitor "<default monitor>"
[     4.897] (==) No monitor specified for screen "Default Screen Section".
    Using a default monitor configuration.
[     4.897] (==) Automatically adding devices
[     4.897] (==) Automatically enabling devices
[     4.900] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[     4.900]    Entry deleted from font path.
[     4.916] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
[     4.916]    Entry deleted from font path.
[     4.916] (==) FontPath set to:
    /usr/share/fonts/X11/misc,
    /usr/share/fonts/X11/100dpi/:unscaled,
    /usr/share/fonts/X11/75dpi/:unscaled,
    /usr/share/fonts/X11/Type1,
    /usr/share/fonts/X11/100dpi,
    /usr/share/fonts/X11/75dpi,
    built-ins
[     4.916] (==) ModulePath set to "/usr/lib/xorg/modules"
[     4.916] (II) The server relies on udev to provide the list of input devices.
    If no devices become available, reconfigure udev or disable AutoAddDevices.
[     4.916] (II) Loader magic: 0x7f6c1aaf1ae0
[     4.916] (II) Module ABI versions:
[     4.916]    X.Org ANSI C Emulation: 0.4
[     4.916]    X.Org Video Driver: 12.1
[     4.916]    X.Org XInput driver : 16.0
[     4.916]    X.Org Server Extension : 6.0
[     4.917] (--) PCI:*(0:1:0:0) 10de:063a:1028:019b rev 161, Mem @ 0xf5000000/16777216, 0xe0000000/268435456, 0xf2000000/33554432, I/O @ 0x0000df00/128, BIOS @ 0x????????/524288
[     4.917] (II) Open ACPI successful (/var/run/acpid.socket)
[     4.917] (WW) "glamoregl" will not be loaded unless you've specified it to be loaded elsewhere.
[     4.917] (II) "extmod" will be loaded by default.
[     4.917] (II) "dbe" will be loaded by default.
[     4.917] (II) "glx" will be loaded by default.
[     4.917] (II) "record" will be loaded by default.
[     4.917] (II) "dri" will be loaded by default.
[     4.917] (II) "dri2" will be loaded by default.
[     4.917] (II) LoadModule: "extmod"
[     4.923] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[     4.926] (II) Module extmod: vendor="X.Org Foundation"
[     4.926]    compiled for 1.12.4, module version = 1.0.0
[     4.926]    Module class: X.Org Server Extension
[     4.926]    ABI class: X.Org Server Extension, version 6.0
[     4.926] (II) Loading extension SELinux
[     4.926] (II) Loading extension MIT-SCREEN-SAVER
[     4.926] (II) Loading extension XFree86-VidModeExtension
[     4.926] (II) Loading extension XFree86-DGA
[     4.926] (II) Loading extension DPMS
[     4.926] (II) Loading extension XVideo
[     4.926] (II) Loading extension XVideo-MotionCompensation
[     4.927] (II) Loading extension X-Resource
[     4.927] (II) LoadModule: "dbe"
[     4.927] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[     4.928] (II) Module dbe: vendor="X.Org Foundation"
[     4.929]    compiled for 1.12.4, module version = 1.0.0
[     4.929]    Module class: X.Org Server Extension
[     4.929]    ABI class: X.Org Server Extension, version 6.0
[     4.929] (II) Loading extension DOUBLE-BUFFER
[     4.929] (II) LoadModule: "glx"
[     4.929] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[     4.933] (II) Module glx: vendor="X.Org Foundation"
[     4.933]    compiled for 1.12.4, module version = 1.0.0
[     4.933]    ABI class: X.Org Server Extension, version 6.0
[     4.933] (==) AIGLX enabled
[     4.936] (II) Loading extension GLX
[     4.936] (II) LoadModule: "record"
[     4.936] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[     4.937] (II) Module record: vendor="X.Org Foundation"
[     4.937]    compiled for 1.12.4, module version = 1.13.0
[     4.937]    Module class: X.Org Server Extension
[     4.937]    ABI class: X.Org Server Extension, version 6.0
[     4.937] (II) Loading extension RECORD
[     4.937] (II) LoadModule: "dri"
[     4.938] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[     4.940] (II) Module dri: vendor="X.Org Foundation"
[     4.940]    compiled for 1.12.4, module version = 1.0.0
[     4.940]    ABI class: X.Org Server Extension, version 6.0
[     4.940] (II) Loading extension XFree86-DRI
[     4.940] (II) LoadModule: "dri2"
[     4.940] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[     4.942] (II) Module dri2: vendor="X.Org Foundation"
[     4.942]    compiled for 1.12.4, module version = 1.2.0
[     4.942]    ABI class: X.Org Server Extension, version 6.0
[     4.942] (II) Loading extension DRI2
[     4.942] (==) Matched nouveau as autoconfigured driver 0
[     4.942] (==) Matched nv as autoconfigured driver 1
[     4.942] (==) Matched vesa as autoconfigured driver 2
[     4.942] (==) Matched fbdev as autoconfigured driver 3
[     4.942] (==) Assigned the driver to the xf86ConfigLayout
[     4.942] (II) LoadModule: "nouveau"
[     4.943] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[     4.946] (II) Module nouveau: vendor="X.Org Foundation"
[     4.946]    compiled for 1.12.4, module version = 1.0.1
[     4.946]    Module class: X.Org Video Driver
[     4.946]    ABI class: X.Org Video Driver, version 12.1
[     4.946] (II) LoadModule: "nv"
[     4.949] (WW) Warning, couldn't open module nv
[     4.949] (II) UnloadModule: "nv"
[     4.949] (II) Unloading nv
[     4.949] (EE) Failed to load module "nv" (module does not exist, 0)
[     4.949] (II) LoadModule: "vesa"
[     4.949] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[     4.950] (II) Module vesa: vendor="X.Org Foundation"
[     4.950]    compiled for 1.12.1, module version = 2.3.1
[     4.950]    Module class: X.Org Video Driver
[     4.950]    ABI class: X.Org Video Driver, version 12.0
[     4.950] (II) LoadModule: "fbdev"
[     4.950] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[     4.951] (II) Module fbdev: vendor="X.Org Foundation"
[     4.951]    compiled for 1.12.1, module version = 0.4.2
[     4.951]    ABI class: X.Org Video Driver, version 12.0
[     4.951] (II) NOUVEAU driver Date:   Fri Jul 6 16:23:50 2012 +1000
[     4.951] (II) NOUVEAU driver for NVIDIA chipset families :
[     4.951]    RIVA TNT        (NV04)
[     4.951]    RIVA TNT2       (NV05)
[     4.951]    GeForce 256     (NV10)
[     4.952]    GeForce 2       (NV11, NV15)
[     4.952]    GeForce 4MX     (NV17, NV18)
[     4.952]    GeForce 3       (NV20)
[     4.952]    GeForce 4Ti     (NV25, NV28)
[     4.952]    GeForce FX      (NV3x)
[     4.952]    GeForce 6       (NV4x)
[     4.952]    GeForce 7       (G7x)
[     4.952]    GeForce 8       (G8x)
[     4.952]    GeForce GTX 200 (NVA0)
[     4.952]    GeForce GTX 400 (NVC0)
[     4.952] (II) VESA: driver for VESA chipsets: vesa
[     4.952] (II) FBDEV: driver for framebuffer: fbdev
[     4.952] (++) using VT number 7

[     4.972] drmOpenDevice: node name is /dev/dri/card0
[     4.977] [drm] failed to load kernel module "nouveau"
[     4.977] (EE) [drm] failed to open device
[     4.977] (WW) Falling back to old probe method for fbdev
[     4.977] (II) Loading sub module "fbdevhw"
[     4.977] (II) LoadModule: "fbdevhw"
[     4.977] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[     4.978] (II) Module fbdevhw: vendor="X.Org Foundation"
[     4.978]    compiled for 1.12.4, module version = 0.0.2
[     4.978]    ABI class: X.Org Video Driver, version 12.1
[     4.978] (EE) open /dev/fb0: No such file or directory
[     4.979] (II) Loading sub module "vbe"
[     4.979] (II) LoadModule: "vbe"
[     4.979] (II) Loading /usr/lib/xorg/modules/libvbe.so
[     4.979] (II) Module vbe: vendor="X.Org Foundation"
[     4.980]    compiled for 1.12.4, module version = 1.1.0
[     4.980]    ABI class: X.Org Video Driver, version 12.1
[     4.980] (II) Loading sub module "int10"
[     4.980] (II) LoadModule: "int10"
[     4.980] (II) Loading /usr/lib/xorg/modules/libint10.so
[     4.982] (II) Module int10: vendor="X.Org Foundation"
[     4.982]    compiled for 1.12.4, module version = 1.0.0
[     4.982]    ABI class: X.Org Video Driver, version 12.1
[     4.982] (II) VESA(0): initializing int10
[     4.983] (II) VESA(0): Primary V_BIOS segment is: 0xc000
[     5.035] (II) VESA(0): VESA BIOS detected
[     5.035] (II) VESA(0): VESA VBE Version 3.0
[     5.035] (II) VESA(0): VESA VBE Total Mem: 14336 kB
[     5.035] (II) VESA(0): VESA VBE OEM: NVIDIA
[     5.035] (II) VESA(0): VESA VBE OEM Software Rev: 98.148
[     5.035] (II) VESA(0): VESA VBE OEM Vendor: NVIDIA Corporation
[     5.035] (II) VESA(0): VESA VBE OEM Product: G94 Board - nike94  
[     5.035] (II) VESA(0): VESA VBE OEM Product Rev: Chip Rev   
[     5.131] (II) VESA(0): Creating default Display subsection in Screen section
    "Default Screen Section" for depth/fbbpp 24/32
[     5.131] (==) VESA(0): Depth 24, (--) framebuffer bpp 32
[     5.131] (==) VESA(0): RGB weight 888
[     5.131] (==) VESA(0): Default visual is TrueColor
[     5.131] (==) VESA(0): Using gamma correction (1.0, 1.0, 1.0)
[     5.131] (II) Loading sub module "ddc"
[     5.131] (II) LoadModule: "ddc"
[     5.131] (II) Module "ddc" already built-in
[     5.204] (II) VESA(0): VESA VBE DDC supported
[     5.204] (II) VESA(0): VESA VBE DDC Level none
[     5.204] (II) VESA(0): VESA VBE DDC transfer in appr. 0 sec.
[     5.498] (II) VESA(0): VESA VBE DDC read failed
[     5.588] (II) VESA(0): VESA VBE PanelID read successfully
[     5.588] (II) VESA(0): PanelID returned panel resolution 1920x1200
[     5.588] (II) VESA(0): Searching for matching VESA mode(s):
...

I tried installation of the packages recommended but I got the following error:

$ sudo apt-get install module-assistant nvidia-kernel-common
Reading package lists... Done
Building dependency tree       
Reading state information... Done
module-assistant is already the newest version.
nvidia-kernel-common is already the newest version.
nvidia-kernel-common set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 890 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? Y
Setting up glx-alternative-nvidia (0.5.1) ...
update-alternatives: error: alternative link /usr/lib/xorg/modules/drivers/nvidia_drv.so is already managed by x86_64-linux-gnu_gl_conf
dpkg: error processing package glx-alternative-nvidia (--configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of nvidia-kernel-common:
 nvidia-kernel-common depends on glx-alternative-nvidia (>= 0.3); however:
  Package glx-alternative-nvidia is not configured yet.

dpkg: error processing package nvidia-kernel-common (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 glx-alternative-nvidia
 nvidia-kernel-common
E: Sub-process /usr/bin/dpkg returned an error code (1)
1

There seems to be a package incompatibility in debian repositories.

To solve this problem, I inverted all the changes and then downloaded the driver from nvidia web site and installed it from terminal.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.